Bug 1005782 (uimaj) - Review Request: uimaj - Apache UIMA is an implementation of the OASIS-UIMA specifications
Summary: Review Request: uimaj - Apache UIMA is an implementation of the OASIS-UIMA sp...
Keywords:
Status: CLOSED ERRATA
Alias: uimaj
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1005779
Blocks: 1005792 solr 1051536
TreeView+ depends on / blocked
 
Reported: 2013-09-09 11:59 UTC by gil cattaneo
Modified: 2014-02-14 07:51 UTC (History)
1 user (show)

Fixed In Version: uimaj-2.5.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-14 07:51:38 UTC
msimacek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2013-09-09 11:59:48 UTC
Spec URL: http://gil.fedorapeople.org/uimaj.spec
SRPM URL: http://gil.fedorapeople.org/uimaj-2.4.2-1.fc19.src.rpm
Description:
Apache UIMA is an implementation of the OASIS-UIMA specifications.

OASIS UIMA Committee: <http://www.oasis-open.org/committees/uima/>.

Unstructured Information Management applications are software systems
that analyze large volumes of unstructured information in order to
discover knowledge that is relevant to an end user.

An example UIM application might ingest plain text and identify
entities, such as persons, places, organizations; or relations,
such as works-for or located-at.
Fedora Account System Username: gil

Comment 1 Sreenadha 2013-09-25 05:05:21 UTC
Hello Friends,


I am using apache version : Apache/2.2.3
...

After i have restated the services iam  getting the below error...

[Tue Sep 24 18:07:10 2013] [error] [client 10.64.64.246] proxy: Error reading from remote server returned by /irj/servlet/prt/portal/prtroot/com.sap.portal.dsm.Terminator, referer: https://webmail.xx.co.in/irj/portal


Kindly help any one

Comment 2 gil cattaneo 2013-09-25 05:23:56 UTC
(In reply to Sreenadha from comment #1)
> Hello Friends,
> 
> 
> I am using apache version : Apache/2.2.3
> ...
> 
> After i have restated the services iam  getting the below error...
> 
> [Tue Sep 24 18:07:10 2013] [error] [client 10.64.64.246] proxy: Error
> reading from remote server returned by
> /irj/servlet/prt/portal/prtroot/com.sap.portal.dsm.Terminator, referer:
> https://webmail.xx.co.in/irj/portal
> 
> 
> Kindly help any one

sorry but you should open a new bug, this is only a package review
https://fedoraproject.org/wiki/Bugs_and_feature_requests?rd=BugsAndFeatureRequests#Start_Filing_the_Bug
regards

Comment 3 Michael Simacek 2014-01-15 13:36:34 UTC
The most recent upstream version is 2.5.0

Comment 4 gil cattaneo 2014-01-15 15:56:12 UTC
Spec URL: http://gil.fedorapeople.org/uimaj.spec
SRPM URL: http://gil.fedorapeople.org/uimaj-2.5.0-1.fc19.src.rpm

- update to 2.5.0

Comment 5 gil cattaneo 2014-01-15 17:17:11 UTC
Spec URL: http://gil.fedorapeople.org/uimaj.spec
SRPM URL: http://gil.fedorapeople.org/uimaj-2.5.0-1.fc19.src.rpm

- remove uima-build-resources references

Comment 6 Michael Simacek 2014-01-16 14:52:48 UTC
Few issues before doing in-depth review:
- icons are licensed under BSD (according to LICENSE file) -> License should be ASL 2.0 and BSD
- there is a NOTICE file, which could possibly affect packages licensing.
  I sent an email to Fedora legal mailing-list to get this sorted out.

some rpmlint warnings:
uimaj.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/uimaj/NOTICE
uimaj.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/uimaj/README
jcasgen-maven-plugin.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/jcasgen-maven-plugin/NOTICE
uima-pear-maven-plugin.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/uima-pear-maven-plugin/NOTICE
uimaj-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/uimaj-javadoc/NOTICE 
  

And a few questions:
Why do you remove that "eclipse stuff"? You should include a reason in the comment above it.
Why do you remove apache-rat-plugin?
Those scripts suggest that some parts could be directly executed by user. Why don't you install them or (better) provide %jpackage_script alternatives?

Comment 7 gil cattaneo 2014-01-16 17:30:36 UTC
(In reply to Michael Simacek from comment #6)
> Few issues before doing in-depth review:
> - icons are licensed under BSD (according to LICENSE file) -> License should
> be ASL 2.0 and BSD

maybe ASL 2.0 or BSD ... ?
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Dual_Licensing_Scenarios

> - there is a NOTICE file, which could possibly affect packages licensing.
>   I sent an email to Fedora legal mailing-list to get this sorted out.

Thanks!

> 
> some rpmlint warnings:
> uimaj.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/uimaj/NOTICE
> uimaj.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/uimaj/README
> jcasgen-maven-plugin.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/jcasgen-maven-plugin/NOTICE
> uima-pear-maven-plugin.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/uima-pear-maven-plugin/NOTICE
> uimaj-javadoc.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/uimaj-javadoc/NOTICE 

Fixed

>   
> 
> And a few questions:
> Why do you remove that "eclipse stuff"? You should include a reason in the
> comment above it.

eclipse stuff dont provides pom or depmap files...

> Why do you remove apache-rat-plugin?

Build @ random fails

> Those scripts suggest that some parts could be directly executed by user.
> Why don't you install them or (better) provide %jpackage_script alternatives?

Unavailable libraries
e.g.
UIMA_CLASSPATH=$UIMA_CLASSPATH:$UIMA_HOME/lib/uimaj-as-core.jar
UIMA_CLASSPATH=$UIMA_CLASSPATH:$UIMA_HOME/lib/uimaj-as-activemq.jar
UIMA_CLASSPATH=$UIMA_CLASSPATH:$UIMA_HOME/lib/uimaj-as-jms.jar
available @ http://www.apache.org/dist/uima/uima-as-2.4.2/uima-as-2.4.2-source-release.zip

and others ...
for now, until all deps aren't available, i prefer don't install script files
or systemd support


Spec URL: http://gil.fedorapeople.org/uimaj.spec
SRPM URL: http://gil.fedorapeople.org/uimaj-2.5.0-1.fc19.src.rpm

- fix license field
- fix wrong-file-end-of-line-encoding

Comment 8 Michael Simacek 2014-01-17 14:45:58 UTC
(In reply to gil cattaneo from comment #7)
> (In reply to Michael Simacek from comment #6)
> > Few issues before doing in-depth review:
> > - icons are licensed under BSD (according to LICENSE file) -> License should
> > be ASL 2.0 and BSD
> 
> maybe ASL 2.0 or BSD ... ?
Dual licensing means that you (as a user of library) can choose between the two licenses and only one of them applies. But his license is not dual - this are just two licenses that each apply to different parts of the sw, but they both apply at the same time - you can't choose just one.
Actual quote from the guidelines: "Note that this only applies when the contents of the package are actually under a dual license, and not when the package contains items under multiple, distinct, and independent licenses"
If it were a dual license it would be explicitly stated.
(Still don't know about the other license mentioned in NOTICE, though)


> > Those scripts suggest that some parts could be directly executed by user.
> > Why don't you install them or (better) provide %jpackage_script alternatives?
> 
> Unavailable libraries
> e.g.
> UIMA_CLASSPATH=$UIMA_CLASSPATH:$UIMA_HOME/lib/uimaj-as-core.jar
> UIMA_CLASSPATH=$UIMA_CLASSPATH:$UIMA_HOME/lib/uimaj-as-activemq.jar
> UIMA_CLASSPATH=$UIMA_CLASSPATH:$UIMA_HOME/lib/uimaj-as-jms.jar
> available @
> http://www.apache.org/dist/uima/uima-as-2.4.2/uima-as-2.4.2-source-release.
> zip
> 
> and others ...
> for now, until all deps aren't available, i prefer don't install script files
> or systemd support

Does this affect any other part of the package?

Comment 9 gil cattaneo 2014-01-17 17:37:59 UTC
(In reply to Michael Simacek from comment #8)
> (In reply to gil cattaneo from comment #7)
> > (In reply to Michael Simacek from comment #6)
> > > Few issues before doing in-depth review:

> > > be ASL 2.0 and BSD

Done!
> 
> > and others ...
> > for now, until all deps aren't available, i prefer don't install script files
> > or systemd support
> 
> Does this affect any other part of the package?
I dont know never tried... this package i want use only as library (for now) if is possible (potential license issues).


Spec URL: http://gil.fedorapeople.org/uimaj.spec
SRPM URL: http://gil.fedorapeople.org/uimaj-2.5.0-1.fc19.src.rpm

Comment 10 Michael Simacek 2014-01-30 12:39:11 UTC
The licensing should be fine according to the response i got from legal mailing-list.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- missing BR on ant-apache-regexp
- those BSD licensed icons are used only in the eclipse plugins. You disabled
  them so the License tag should be just ASL 2.0


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     16 files have unknown license. Detailed output of licensecheck in
     /home/msimacek/1005782-uimaj/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jcasgen-
     maven-plugin , uima-pear-maven-plugin , uimaj-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: uimaj-2.5.0-1.fc21.noarch.rpm
          jcasgen-maven-plugin-2.5.0-1.fc21.noarch.rpm
          uima-pear-maven-plugin-2.5.0-1.fc21.noarch.rpm
          uimaj-javadoc-2.5.0-1.fc21.noarch.rpm
          uimaj-2.5.0-1.fc21.src.rpm
uimaj.noarch: W: spelling-error %description -l en_US http -> HTTP
uimaj.noarch: W: spelling-error %description -l en_US www -> WWW, wow
uimaj.noarch: W: spelling-error %description -l en_US uima -> Lima, Maui
uimaj.src: W: spelling-error %description -l en_US http -> HTTP
uimaj.src: W: spelling-error %description -l en_US www -> WWW, wow
uimaj.src: W: spelling-error %description -l en_US uima -> Lima, Maui
5 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jcasgen-maven-plugin uimaj-javadoc uimaj uima-pear-maven-plugin
uimaj.noarch: W: spelling-error %description -l en_US http -> HTTP
uimaj.noarch: W: spelling-error %description -l en_US www -> WWW, wow
uimaj.noarch: W: spelling-error %description -l en_US uima -> Lima, Maui
4 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
jcasgen-maven-plugin (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(org.apache.maven:maven-core)
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.apache.uima:uimaj-tools)
    mvn(org.sonatype.plexus:plexus-build-api)

uimaj-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

uimaj (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(axis:axis)
    mvn(axis:axis-jaxrpc)
    mvn(junit:junit)
    mvn(org.apache.commons:commons-logging)

uima-pear-maven-plugin (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(commons-io:commons-io)
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.apache.maven:maven-project)
    mvn(org.apache.uima:uimaj-core)



Provides
--------
jcasgen-maven-plugin:
    jcasgen-maven-plugin
    mvn(org.apache.uima:jcasgen-maven-plugin)

uimaj-javadoc:
    uimaj-javadoc

uimaj:
    mvn(org.apache.uima:aggregate-uimaj)
    mvn(org.apache.uima:aggregate-uimaj:pom:)
    mvn(org.apache.uima:jVinci)
    mvn(org.apache.uima:uimaj)
    mvn(org.apache.uima:uimaj-adapter-soap)
    mvn(org.apache.uima:uimaj-adapter-vinci)
    mvn(org.apache.uima:uimaj-bootstrap)
    mvn(org.apache.uima:uimaj-component-test-util)
    mvn(org.apache.uima:uimaj-core)
    mvn(org.apache.uima:uimaj-cpe)
    mvn(org.apache.uima:uimaj-document-annotation)
    mvn(org.apache.uima:uimaj-parent)
    mvn(org.apache.uima:uimaj-parent:pom:)
    mvn(org.apache.uima:uimaj-test-util)
    mvn(org.apache.uima:uimaj-tools)
    mvn(org.apache.uima:uimaj:pom:)
    uimaj

uima-pear-maven-plugin:
    mvn(org.apache.uima:PearPackagingMavenPlugin)
    uima-pear-maven-plugin



Source checksums
----------------
http://www.apache.org/dist/uima/uimaj-2.5.0/uimaj-2.5.0-source-release.zip :
  CHECKSUM(SHA256) this package     : 0b6b734e2d42491d154c655e80b0e34f751bbf940b1d0d0bb86b0060fac3a990
  CHECKSUM(SHA256) upstream package : 0b6b734e2d42491d154c655e80b0e34f751bbf940b1d0d0bb86b0060fac3a990


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1005782
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 11 gil cattaneo 2014-01-30 13:07:45 UTC
(In reply to Michael Simacek from comment #10)
> The licensing should be fine according to the response i got from legal
> mailing-list.

Thanks!

> 
> Issues:
> =======
> - missing BR on ant-apache-regexp

Done

> - those BSD licensed icons are used only in the eclipse plugins. You disabled
>   them so the License tag should be just ASL 2.0

Done

Spec URL: http://gil.fedorapeople.org/uimaj.spec
SRPM URL: http://gil.fedorapeople.org/uimaj-2.5.0-1.fc19.src.rpm

Comment 12 Michael Simacek 2014-02-01 17:08:08 UTC
Just remove the comment about the icons, so it doesn't confuse anyone.
Everything else seems fine.

Koji scratch-build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6479774

Comment 13 gil cattaneo 2014-02-01 18:35:51 UTC
Thanks!

New Package SCM Request
=======================
Package Name: uimaj
Short Description: Apache UIMA is an implementation of the OASIS-UIMA specifications
Owners: gil
Branches: f20
InitialCC: java-sig

Comment 14 Gwyn Ciesla 2014-02-03 12:48:03 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2014-02-03 19:56:24 UTC
uimaj-2.5.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/uimaj-2.5.0-1.fc20

Comment 16 Fedora Update System 2014-02-05 03:36:46 UTC
uimaj-2.5.0-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 17 Fedora Update System 2014-02-14 07:51:38 UTC
uimaj-2.5.0-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.